import axipy
from axipy import Polygon, CoordSystem
from osgeo import ogr

from PanoramaRsc.ui.add_tools.fgis_tp.exportToXml.geometryOgrFactory import transformAxiGeometryToOgr, \
    OgrGeometryToGeometryXml

#tab=axipy.data_manager.tables[0]
path_db=r"E:\Download\Panorama\terplan7\terplan_v7AdmBorder.gpkg"
definition = {'src':path_db, 'dataobject':'AdmBorder'}
tab = axipy.provider_manager.open(definition)
list_fields=['GLOBALID', 'CLASSID', 'SOURCE']
schema_tab=tab.schema
cs_out= CoordSystem.from_prj('10, 157, 7, 0')
for ft in tab.items():
    #geo_ogr=transformAxiGeometryToOgr(ft.geometry,tab.coordsystem,ogr.wkbMultiCurve)
    geo_ogr = transformAxiGeometryToOgr(ft.geometry,tab.coordsystem, ogr.wkbMultiSurface)
    if geo_ogr is not None:
        geo_xml_teg=OgrGeometryToGeometryXml(geo_ogr)
        jkl=0
jkl=0