import io
import os
import sys

import axipy
from axipy import Polygon, CoordSystem
from osgeo import ogr

from PanoramaRsc.ui.add_tools.fgis_tp.exportToXml.builderClsXml import factoryXmlClass
from PanoramaRsc.ui.add_tools.fgis_tp.exportToXml.geometryOgrFactory import transformAxiGeometryToOgr, \
    OgrGeometryToGeometryXml
from PanoramaRsc.ui.add_tools.fgis_tp.fgis_tp_10_izm import FeatureCollectionType, FeaturePropertyType

#tab=axipy.data_manager.tables[0]
path_db=r"E:\Download\Panorama\terplan7\terplan_v7AdmBorder.gpkg"
path_out_gml=r"E:\Download\Panorama\terplan7\terplan_v7AdmBorder.gml"
definition = {'src':path_db, 'dataobject':'AdmBorder'}
tab = axipy.provider_manager.open(definition)
cs_out= CoordSystem.from_epsg(3857)
cls_fetureMember=factoryXmlClass('AdmBorder',cs_out)
cls_fetureMember.setCurentTable(tab)
cls_root=FeatureCollectionType()
cls_root.original_tagname_="FeatureCollection"
for ft in cls_fetureMember:
    cls_ft=ft
    cls_ft_prop = FeaturePropertyType(cls_root)
    cls_ft_prop.owns=None
    cls_ft_prop.AbstractFeature=ft
    cls_root.featureMember.append(cls_ft_prop)
    jkl=0
#cls_root.export(sys.stdout,0)
out_gml_io=io.StringIO()
cls_root.export(out_gml_io,0)
str_out_gml=out_gml_io.getvalue()
out_gml_io.close()
str_out_gml=str_out_gml.replace('owns="None"','')
str_out_gml='<?xml version="1.0" encoding="utf-8"?>'+"\n"+str_out_gml
with open(path_out_gml, 'w', encoding='utf-8') as f:
    f.write(str_out_gml)
jkl=0