import io

import axipy
from axipy import CoordSystem

from PanoramaRsc.ui.add_tools.fgis_tp.exportToXml.builderClsXml import FactoryGmlLayerFGISTP
from PanoramaRsc.ui.add_tools.fgis_tp.fgis_tp_10_izm import FeatureCollectionType

path_db=r"E:\Download\Panorama\terplan7\terplan_v7AdmBorder.gpkg"
#path_db=r"E:\Download\Panorama\terplan7\db_test_7_zouit_25.gpkg"
path_out_gml=r"E:\Download\Panorama\terplan7\terplan_v7AdmBorder1.gml"
name_tab='AdmBorder'
name_tab='OtherZone'
definition = {'src':path_db, 'dataobject':name_tab}
tab = axipy.provider_manager.open(definition)
cs_out= CoordSystem.from_epsg(3857)
cls_xml=FactoryGmlLayerFGISTP(tab,name_tab,cs_out)
cls_xml.run()
list_ft_member=cls_xml.FeaturePropertyTypes
cls_messageList=cls_xml.messageErrors
cls_root=FeatureCollectionType()
cls_root.original_tagname_="FeatureCollection"
cls_root.__setattr__("xmlns:xsi","http://www.w3.org/2001/XMLSchema-instance")
cls_root.featureMember=list_ft_member
out_gml_io=io.StringIO()
cls_root.export(out_gml_io,0)
str_out_gml=out_gml_io.getvalue()
out_gml_io.close()
str_out_gml=str_out_gml.replace('owns="None"','')
new_gml_FeatureCollection='<gml:FeatureCollection xmlns="http://fgistp" xsi:schemaLocation="http://fgistp https://fgistp.economy.gov.ru/panorama/schemas/xsddownload/fgistp-10-izm-698.xsd" xmlns:gml="http://www.opengis.net/gml/3.2" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" gml:id="aFeatureCollection"'
str_out_gml=str_out_gml.replace('<gml:FeatureCollection',new_gml_FeatureCollection)
str_out_gml='<?xml version="1.0" encoding="utf-8"?>'+"\n"+str_out_gml
with open(path_out_gml, 'w', encoding='utf-8') as f:
    f.write(str_out_gml)
jkl=0