import axipy
from PySide2.QtCore import QObject
from axipy import CoordSystem

from PanoramaRsc.ui.add_tools.fgis_tp.exportToXml.builderClsXml import FactoryGmlFGISTP


class TestGml(QObject):
    def __init__(self):
        super().__init__()
    def run(self,list_tab_desc,out_cs,path_out):
        cls_gen_gml=FactoryGmlFGISTP(list_tab_desc,out_cs,path_out)
        cls_gen_gml.next_layer.connect(self.__change_layer)
        cls_gen_gml.change_procent_feature.connect(self.__change_proc)
        cls_gen_gml.run()
    def __change_layer(self,name_layer,proc):
        print(name_layer+":"+str(proc))
    def __change_proc(self,proc):
        print( str(proc))
ls_table=[{"name":"AdmBorder",'alias':"AdmBorder"}]
path_db=r"E:\Download\Panorama\terplan7\terplan_v7AdmBorder.gpkg"
path_out_gml=r"E:\Download\Panorama\terplan7\terplan_v7AdmBorder2.gml"
definition = {'src':path_db, 'dataobject':'AdmBorder'}
tab = axipy.provider_manager.open(definition)
cs_out= CoordSystem.from_epsg(3857)
test_gml=TestGml()
test_gml.run(ls_table,cs_out,path_out_gml)


