import os
from pathlib import Path

from PySide2.QtCore import QSize, QRect, Qt
from PySide2.QtGui import QPen, QPainter, QBrush
from PySide2.QtSvg import QSvgGenerator
path_out=r"E:\Download\Panorama\custom_sym\sym_08.svg"
if Path(path_out).exists():
    os.remove(path_out)
generator = QSvgGenerator()
generator.setSize(QSize(1500, 1500))
generator.setFileName(path_out)
generator.setResolution(150)
generator.setViewBox(QRect(0, 0, 1500, 1500))
painter = QPainter(generator)
brush=QBrush()
brush.setColor(Qt.red)
painter.setBrush(brush)
painter.translate(750,750)
painter.scale(1.0, -1.0)
#painter.fillRect(QRect(0, 0, 400, 400), Qt.black)
painter.setPen(QPen(Qt.red, 8))
#painter.drawRect(0, 0, 500, 500)
#painter.drawRect(0, 0, 250, 250)
painter.setPen(QPen(Qt.green, 8))
#painter.fillRect(QRect(-125, -125, 125, 125), Qt.red)
painter.fillRect(QRect(-700, -700, 1400, 1400), Qt.red)
#painter.drawRect(-125, -125, 125, 125)
painter.setPen(QPen(Qt.black, 16))
painter.drawRect(QRect(-700, -700, 1400, 1400))
painter.end()
print("End")