import os
from pathlib import Path

from PySide2.QtCore import QSize, QRect, Qt
from PySide2.QtGui import QPen, QPainter, QBrush, QImage
from PySide2.QtSvg import QSvgGenerator
path_out=r"E:\Download\Panorama\custom_sym\sym_20.png"
if Path(path_out).exists():
    os.remove(path_out)
size_image=QSize(240,240)
png_image=QImage(size_image.width(), size_image.height(), QImage.Format_ARGB32)

painter = QPainter(png_image)
brush=QBrush()
brush.setColor(Qt.red)
painter.setBrush(brush)
painter.translate(size_image.width()/2,size_image.height()/2)
painter.scale(0.5, 0.5)
#painter.fillRect(QRect(0, 0, 400, 400), Qt.black)
painter.setPen(QPen(Qt.red, 8))
#painter.drawRect(0, 0, 500, 500)
#painter.drawRect(0, 0, 250, 250)
painter.setPen(QPen(Qt.green, 8))
#painter.fillRect(QRect(-125, -125, 125, 125), Qt.red)
painter.fillRect(QRect(-100, -100, 200, 200), Qt.red)
#painter.drawRect(-125, -125, 125, 125)
#painter.setPen(QPen(Qt.black, 16))
#painter.drawRect(QRect(-700, -700, 1400, 1400))
painter.end()
png_image.save(path_out)
print("End")