import os
from pathlib import Path

from PySide2 import QtGui
from PySide2.QtCore import QSize, QRect, Qt, QPointF
from PySide2.QtGui import QPen, QPainter, QBrush, QImage, QColor
from PySide2.QtSvg import QSvgGenerator
path_out=r"E:\Download\Panorama\custom_sym\sym_21.png"
if Path(path_out).exists():
    os.remove(path_out)
size_image=QSize(240,240)
png_image=QImage(size_image.width(), size_image.height(), QImage.Format_ARGB32)

painter = QPainter(png_image)
brush=QBrush()
brush.setColor(Qt.red)
painter.setBrush(brush)
painter.setPen(QPen(Qt.black, 16))
painter.translate(size_image.width()/2,size_image.height()/2)
width_vector=2501
scale=size_image.width()/width_vector
painter.scale(scale, scale)
polygon = QtGui.QPolygonF()
points=[(-1250.0, -250.0), (-250.0, -250.0), (0.0, -1000.0), (250.0, -250.0), (1250.0, -250.0), (500.0, 250.0), (750.0, 1000.0), (0.0, 500.0), (-750.0, 1000.0), (-500.0, 250.0), (-1250.0, -250.0)]
for pnt in points:
    polygon.append(QPointF(pnt[0],pnt[1]))
painter.setBrush(QColor(200, 0, 0))
painter.drawPolygon(polygon)
painter.end()
png_image.save(path_out)
print("End")