import os
from pathlib import Path

from PySide2 import QtGui
from PySide2.QtCore import QSize, QRect, Qt, QPointF
from PySide2.QtGui import QPen, QPainter, QBrush, QColor
from PySide2.QtSvg import QSvgGenerator
path_out=r"E:\Download\Panorama\custom_sym\sym_13.svg"
if Path(path_out).exists():
    os.remove(path_out)
generator = QSvgGenerator()
generator.setSize(QSize(3000, 3000))
generator.setFileName(path_out)
generator.setResolution(150)
generator.setViewBox(QRect(0, 0, 3000, 3000))
painter = QPainter(generator)


painter.translate(1500,1500)

painter.setPen(QPen(Qt.black, 24))

polygon = QtGui.QPolygonF()
points=[(-1250.0, -250.0), (-250.0, -250.0), (0.0, -1000.0), (250.0, -250.0), (1250.0, -250.0), (500.0, 250.0), (750.0, 1000.0), (0.0, 500.0), (-750.0, 1000.0), (-500.0, 250.0), (-1250.0, -250.0)]
for pnt in points:
    polygon.append(QPointF(pnt[0],pnt[1]))
painter.setBrush(QColor(200, 0, 0))
painter.drawPolygon(polygon)
painter.end()
print("End")