from pathlib import Path

from PanoramaRsc.ui.add_tools.helper_db.dbRsc import DbRsc
from PanoramaRsc.ui.add_tools.rsc_tools.panoramaToAxiPen.factoryPen.readTrptPen import AxiPenfromTrtp
class WritePenToFolder:
    def __init__(self,path_folder,start_number_pen):
        self.__path_out=Path(path_folder)
        self.__start_number=start_number_pen
        self.__index_pen=0
    def write(self,obj_trtp):
        cur_pen=self.__start_number+self.__index_pen
        curent_number_str="pen_"+"%03d" % cur_pen

        path_out_pen=self.__path_out.joinpath(curent_number_str+".trtp")
        if isinstance(obj_trtp,str):
            with open(path_out_pen, 'w') as f:
                f.write(obj_trtp)
        else:
            obj_trtp.writeToFile(str(path_out_pen))
        self.__index_pen=self.__index_pen+1
        return self.__index_pen+self.__start_number-1
    def writeByName(self,name,obj_trtp):
        cur_pen = self.__start_number + self.__index_pen
        curent_number_str = "%03d" % cur_pen
        path_out_pen = self.__path_out.joinpath(name + ".trtp")
        if Path(path_out_pen).exists():
            path_out_pen = self.__path_out.joinpath(name+"_1" + ".trtp")
            print("pen file exist :"+path_out_pen)
        obj_trtp.writeToFile(str(path_out_pen))
path_out_pens=r"E:\Download\Panorama\terplan7\temp\pan_terplan"
path_out_pens=r"E:\Download\Panorama\terplan8\Style\Pen"
cls_writer=WritePenToFolder(path_out_pens,10)
path_db=r"E:\Download\Panorama\terplan7\terrplan_v7.db"
path_db=r"E:\Download\Panorama\terplan8\terrplan_v8.db"
db=DbRsc(path_db)
sql="select * from style_object where location_type=0"
record=db.select(sql)
common_max_width=0
for row in record:
    axi_pen=AxiPenfromTrtp(row[8])
    if axi_pen is not None:
        max_width=axi_pen.getMaxWidthMM()
        common_max_width=max(common_max_width,max_width)
        if max_width==0:
            jkl=0
        print("max width:"+str(max_width))
        id_pen=cls_writer.write(row[8])
        mi_style="Pen(3,"+str(id_pen)+",0)"
        sql_update="Update style_object set mi_style='"+mi_style+"' where object_key='"+row[3]+"'"
        db.runSqlNoResult(sql_update)
    jkl=0
print("MaX Width:"+str(common_max_width))
db.close()