from axipy import CoordSystem

from PanoramaRsc.ui.add_tools.exportToPanorama import ExportToPanorama
from PanoramaRsc.ui.add_tools.helper_db.db_add_helper import TypeGeometry
from PanoramaRsc.ui.widgetExportToPanorama import LayerInfoGeomtry

params_source={}
params_source['file_gpkg']=r"E:\Download\Panorama\terplan7\db_test_7_zouit_1.gpkg"
params_source['file_gpkg']=r"E:\Download\Panorama\terplan7\terplan_v7AdmBorder.gpkg"
#list_tab=['CoastalProtectionZone','EngProtectionZone','FloodArea','Foreshore','HeritageProtectionZone','OtherZone','WaterProtectionZone']
list_tab=[LayerInfoGeomtry("AdmBorder",TypeGeometry.PolyLine)]
params_source['tables']=list_tab
params_out={}
params_out['out_file']=r"E:\Download\Panorama\terplan7\test_admBorder_type.sit"
params_out['rsc_file']=r"E:\Download\Panorama\terplan7\terrplan.v7.rsc"
params_out['coordsystem']=CoordSystem.from_string('epsg:4326')
params_out['objectkey']='CLASSID'
exp_panorama=ExportToPanorama()
exp_panorama.run(params_source,params_out)
print("End")