from pathlib import Path

import axipy
from loguru import logger
from PanoramaRsc.Test.TestGui.DlgTestImportGml import TestDlgGml
from PanoramaRsc.ui.add_tools.panoramaDictionary import PanoramaDictionary
path_log=Path(__file__).parent.joinpath("log.log")

logger.add(str(path_log), level='DEBUG',format="{time:MMMM D, YYYY > HH:mm:ss} | {level} | {message} | {extra}")
logger.debug('Error')
logger.info('Information message')
logger.warning('Warning')

path_db_dict=r"E:\Download\Panorama\terplan7\db_spr_terplan_7.db"
pan_dict=PanoramaDictionary(path_db_dict)
cls_dlg=TestDlgGml(pan_dict,axipy.mainwindow.qt_object())
cls_dlg.show()