import os
from pathlib import Path

from PanoramaRsc.ui.add_tools.helper_db.SqliteDataSource import DbSqliteDataSource
from PanoramaRsc.ui.add_tools.importGmlFgis import ImportGmlGisTp
from PanoramaRsc.ui.add_tools.panoramaDictionary import PanoramaDictionary

path_db_dict=r"E:\Download\Panorama\terplan7\db_spr_terplan_7.db"
pan_dict=PanoramaDictionary(path_db_dict)
path_dest_gpkg=r"E:\Download\Panorama\terplan7\gml_admBorder.gpkg"
isAddExist=True
cls_db_sp=DbSqliteDataSource()
if Path(path_dest_gpkg).exists():
    if not isAddExist:
        os.remove(path_dest_gpkg)
        cls_db_sp.create(path_dest_gpkg)
    else:
        cls_db_sp.open(path_dest_gpkg)
else:
    cls_db_sp.create(path_dest_gpkg)


cls_importGml=ImportGmlGisTp(pan_dict,cls_db_sp)
path_gml=r"E:\Download\FGIS_TP\Тестовые материалы\Материалы по обоснованию в виде карт (ЗОУИТ).gml"
path_gml=r"E:\Download\FGIS_TP\Испр_gml\Испр_gml\Карта границ населенных пунктов (в том числе границ образуемых населенных пунктов)_AdmBorder.gml"
cls_importGml.run(None,path_gml)