import os

from PySide2.QtCore import QFile
from PySide2.QtUiTools import QUiLoader
from PySide2.QtWidgets import QDialog

from PanoramaRsc.ui.formCreateDbData import FormCreateDbData


class TestDlgCreateDb(QDialog):
    def __init__(self,config,parent=None):
        super().__init__(parent)
        self.ui=self.load_ui("dlgFormCreateDb.ui",parent)
        self._widget = FormCreateDbData(config, self.ui)
        self.ui.verticalLayout.addWidget(self._widget)
    def load_ui(self,name_resource,parent):
        loader = QUiLoader()
        path = os.path.join(os.path.dirname(__file__),name_resource)
        ui_file = QFile(path)
        ui_file.open(QFile.ReadOnly)
        ui  = loader.load(ui_file,parent)
        ui_file.close()
        return ui

    def show(self):
        self.ui.show()