import uuid

import axipy

from PanoramaRsc.ui.add_tools.helper_db.dbRsc import DbRsc
from PanoramaRsc.ui.add_tools.helper_db.db_add_helper import getPropertyVolumnsAxipy, factoryGenerateStyleFromClassId

path_db=r"E:\Download\Panorama\terplan7\terrplan_v7.db"
db=DbRsc(path_db)
inf_keys=getPropertyVolumnsAxipy(db,"AdmBorder")

cls_style=factoryGenerateStyleFromClassId(db,inf_keys)
name_table="AdmBorder"
#tab=axipy.selection_manager.get_as_table()
#tab.name="Query"
#tab=axipy.DataManager.selection
sql="select * from Выборка"

tab_query=axipy.data_manager.query(sql)
for ft in tab_query.items():
    style_info=cls_style.getStyle(ft[cls_style.NameBaseKey],ft[cls_style.NameSecondKey])
    ft.style=axipy.Style.from_mapinfo(style_info['style'])
    myuuid = uuid.uuid4()
    myuuidStr = str(myuuid)

    ft['globalid']=myuuidStr
    tab_query.update(ft)
print("end")
