from PanoramaRsc.ui.add_tools.rsc_tools.PanoramaMap.add_tools.db_add_helper import RscLayer


def fillTableLayer_info_dict_spatial(db):
    name_layer='layer_info_dict_spatial'
    sql_select="select id_layer from layers where id_layer>0"
    rows=db.select(sql_select)
    for row in rows:
        id_layer=row[0]
        layer_info=RscLayer.factory(db,id_layer)
        sql_insert_info_layer = "Insert into " + name_layer + "(id_layer,name,full_name,type_geometry,display_orderIndex) VALUES(?,?,?,?,?)"
        type_geometry = 0
        if isinstance(layer_info.TypeGeometry, int):
            type_geometry = layer_info.TypeGeometry
        else:
            type_geometry = layer_info.TypeGeometry.value
        values = (layer_info.IdLayer, layer_info.Name, layer_info.FullName, type_geometry, layer_info.OrderDisplay)
        db.insert(sql_insert_info_layer, values)