#from MyTask.Panorama.RSC.add_help.saveBrush.mergeBrush import MergeImageBrush
#from MyTask.Panorama.RSC.add_help.style_helper import getColor, sizePt
#from MyTask.Panorama.RSC.panSymbol import PanLine, PanSquare, factorySymbol, PanDrawSymbol, ILine, FillHatch,     SquareVector, MultiSquareMark
from PanoramaRsc.ui.add_tools.rsc_tools.RSC.add_help.saveBrush.mergeBrush import MergeImageBrush
from PanoramaRsc.ui.add_tools.rsc_tools.RSC.add_help.style_helper import getColor, sizePt
from PanoramaRsc.ui.add_tools.rsc_tools.RSC.panSymbol import PanLine, ILine, PanSquare, FillHatch, factorySymbol, \
    PanDrawSymbol, MultiSquareMark, SquareVector


def factory_pen(cls_sym,cls_params,string_mi_style_com):
    if string_mi_style_com is None:
        out_str=""
    else:
        out_str=string_mi_style_com
    if isinstance(cls_sym,PanLine):
        color=getColor(cls_sym.ColorRGBA,cls_params)
        size_pt=sizePt(cls_sym.WidthInMicrones)

        mi_size_pen=10+size_pt
        temp_string="Pen("+str(mi_size_pen)+",2,"+str(color)+")"
        if len(out_str)==0 and color==16777215:
            return None
        if len(out_str)>0:
            out_str=out_str+";"+temp_string
        else:
            out_str = temp_string
        return out_str
    return None
def factoryAreaStyle(cls_sym,cls_params):
    mi_style_pen=None
    mi_style_brush=None
    if isinstance(cls_sym,ILine):
        mi_style_pen=cls_sym.getStyle(cls_params)
        return mi_style_pen,mi_style_brush
    if isinstance(cls_sym,PanSquare):
        ''' Сплошная заливка '''
        color = getColor(cls_sym.ColorRGBA, cls_params)
        mi_style_brush="Brush (2,"+str(color)+", 16777215)"
        return mi_style_pen,mi_style_brush
    if isinstance(cls_sym,FillHatch) or isinstance(cls_sym,SquareVector):
        brush_style=cls_sym.getStyle(cls_params)
        return "Pen (1, 1, 0)",brush_style

def factoryAreaSym(bytes_img,cod_symbol,cls_params):
    cls_symbolDraw = factorySymbol(bytes_img, 0, cod_symbol)
    if isinstance(cls_symbolDraw,PanDrawSymbol):
        ''' библиотека комбинация символов'''
        str_mi_pen = None
        str_brush_list=[]
        for sym in cls_symbolDraw.Symbols:
            if isinstance(sym,ILine):
                str_mi_pen_cur=sym.getStyle(cls_params)
                if str_mi_pen is None:
                    str_mi_pen=str_mi_pen_cur
                else:
                    str_mi_pen =str_mi_pen+";"+ str_mi_pen_cur
            if isinstance(sym,FillHatch) or isinstance(sym,MultiSquareMark):
                brush_style=sym.getStyle(cls_params)
                if brush_style is not None:
                    str_brush_list.append(brush_style)

            #str_mi_pen = factory_pen(sym, cls_params, str_mi_pen)
        if len(str_brush_list)==0:
            return str_mi_pen, None
        if len(str_brush_list)==1:
            return str_mi_pen, str_brush_list[0]
        new_brush=MergeImageBrush(str_brush_list)
        if new_brush is not None:
            return str_mi_pen,new_brush
        return str_mi_pen,None
    if cls_symbolDraw is not None:
        mi_style_pen,mi_style_brush=factoryAreaStyle(cls_symbolDraw, cls_params)
        return mi_style_pen,mi_style_brush
    return None,None


