from PySide2.QtCore import QByteArray, QBuffer
from PySide2.QtGui import QImage


def bytesToListValueBit(val_byte):
    if val_byte==0:
        return [0,0,0,0,0,0,0,0]
    str_val_bit = bin(val_byte).replace('0b','')
    if len(str_val_bit)<8:
        c_f_z=8-len(str_val_bit)
        for i in range(c_f_z):
            str_val_bit='0'+str_val_bit
    list_bytesValue=[]
    for i in range(8):
        try:
            val_bit=str_val_bit[i]
        except:
            jk=0
        if val_bit=='1':
            list_bytesValue.append(1)
        else:
            list_bytesValue.append(0)
    return list_bytesValue
def createImage(bites):
    width=32
    height=32
    image=QImage(32,32,QImage.Format_Mono)
    for i,bit_val in enumerate(bites):
        row=i/width
        col=i % height
        if bit_val==1:
            bit_val=0
        else:
            bit_val=1
        image.setPixel(col,row,bit_val)
    return image
def imageToBytes(image:QImage,format="PNG"):
    data = QByteArray()
    buffer = QBuffer(data)
    buffer.open(QBuffer.WriteOnly)
    image.save(buffer, format)
    return bytearray(data)
def imageToByteArray(image:QImage,format="PNG"):
    data = QByteArray()
    buffer = QBuffer(data)
    buffer.open(QBuffer.WriteOnly)
    image.save(buffer, format)
    return data