from pathlib import Path

from PanoramaRsc.ui.add_tools.helper_db.dbRsc import DbRsc
from PanoramaRsc.ui.add_tools.rsc_tools.RSC.image_cls.helper_image import FactorySymbolPointMemory
from PanoramaRsc.ui.add_tools.rsc_tools.RSC.panSymbol import factorySymbol

path_db=r"E:\Download\Panorama\terplan7\terrplan_v7.db"
path_db=r"E:\Download\Panorama\terplan8\terrplan_v8.db"
path_out_png=r"E:\Download\Panorama\terplan7\custom_symbol"
path_out_png=r"E:\Download\Panorama\terplan8\Style\custom_symbol"
path_cls_out=Path(path_out_png)
#path_db=r"E:\Support\AxiomaTesting\PanoramaRsc\db_osm_mos_rsc.db"
dbCls=DbRsc(path_db)
isConnect=dbCls.connect()

#sql="select d.*,obj_point.name,obj_point.object_key,obj_point.extension_number from displayparams d ,(select * from objects where location_type=2) obj_point where d.inner_cod=17 and d.inner_cod=obj_point.inner_code "
#sql="select * from displayparams where type=147 and inner_cod=52"
sql="select obj.code,obj.inner_code,obj.identify_code,obj.object_key,obj.name,obj.location_type,obj.extension_number,displayparams.type,displayparams.descript_bytes from (select * from objects where location_type=2 and layer_number>0 ) as obj ,displayparams where obj.inner_code=displayparams.inner_cod"
sql_insert="insert into style_object (code,inner_code,identify_code,object_key,name,location_type,extension_number,mi_style)  VALUES(?,?,?,?,?,?,?,?)"
records=dbCls.select(sql)
csl_image=FactorySymbolPointMemory(True)
for row in records:
    code = row[0]
    inner_code = row[1]
    identificate_code = row[2]
    object_key = row[3]
    name = row[4]
    type_geometry = row[5]
    extention_number = row[6]
    type = row[7]
    bytes_symbol_obj = row[8]
    print("Code object:" + str(code) + " Symbol_objId=" + object_key)
    print(name)
    #cls_symbolDraw = PanDrawSymbol(bytes_img)
    try:
        cls_symbolDraw=factorySymbol(bytes_symbol_obj,0,type)
    except:
        print("Error symbol:"+object_key)
        cls_symbolDraw=None
    if cls_symbolDraw is not None:
        params=cls_symbolDraw.getParams(dbCls)
        out_image=None
        try:
            out_image=csl_image.build(params)
        except:
            print("object_key bad_image:"+object_key)
        if out_image is not None:
            path_image=path_cls_out.joinpath(object_key+".png")
            out_image.save(str(path_image),"PNG")
            #Symbol("602010101.png", 16711680, 24, 0)
            mi_style='Symbol ("'+object_key+".png"+'",16711680, 24, 0)'
            #sql_update = "Update style_object set mi_style='" + mi_style + "' where object_key='" + row[3] + "'"
            #dbCls.runSqlNoResult(sql_update)
            values_insert=(code,inner_code,identificate_code,object_key,name,type_geometry,extention_number,mi_style)
            dbCls.insert(sql_insert,values_insert)
        jkl=0
        '''
        cls_save_sym.save(id_record,row[6],params)
        
        if isinstance(cls_symbolDraw,PanDrawSymbol):
            try:
                if len(cls_symbolDraw.Symbols)>0:
                    jkl=0
            except:
                print(cls_symbolDraw)
        else:
            jkl=0
        '''
dbCls.close(True)
print("end")