from PanoramaRsc.ui.add_tools.axi_polygon_style.axi_add_polygon_style import AxiPolygonStyle
from PanoramaRsc.ui.add_tools.helper_db.dbRsc import DbRsc
from PanoramaRsc.ui.add_tools.rsc_tools.RSC.panSymbol import factorySymbol, PanEmpty, PanDrawSymbol
from PanoramaRsc.ui.add_tools.rsc_tools.RSC.rscPalettes import readPaletteFromDb

path_db=r"E:\Download\Panorama\terplan7\terrplan_v7.db"
path_db=r"E:\Download\Panorama\terplan8\terrplan_v8.db"
path_out=r"E:\Download\Panorama\terplan7\temp\Layer_22"
path_out=r"E:\Download\Panorama\terplan7\temp\Common"
path_out_temp=r"E:\Download\Panorama\terplan7\Style"
path_out_temp=r"E:\Download\Panorama\terplan8\Style"
palette=readPaletteFromDb(path_db)
#cls_build_style=AxiPolygonStyle(path_out_temp,palette,314,215)
cls_build_style=AxiPolygonStyle(path_out_temp,palette,313,215)

dbCls=DbRsc(path_db)

sql="select obj.code,obj.inner_code,obj.identify_code,obj.object_key,obj.name,obj.location_type,obj.extension_number,displayparams.type,displayparams.descript_bytes from (select * from objects where location_type=1 and layer_number>0  ) as obj ,displayparams where obj.inner_code=displayparams.inner_cod  order by obj.code"
sql_insert="insert into style_object (code,inner_code,identify_code,object_key,name,location_type,extension_number,mi_style)  VALUES(?,?,?,?,?,?,?,?)"
bytes_symbol=None

records=dbCls.select(sql)
count_all=0
count_PanDrawSymbol=0
for row in records:
    code=row[0]
    inner_code=row[1]
    identificate_code=row[2]
    object_key=row[3]
    name=row[4]
    type_geometry=row[5]
    extention_number=row[6]
    type=row[7]
    bytes_pen_obj=row[8]
    print("Code object:"+str(code)+" Symbol_objId="+object_key)
    print(name)
    '''
    if object_key!='7060101002':
        continue
    '''
    cls_symbolDraw=factorySymbol(bytes_pen_obj,0,type)
    if cls_symbolDraw is not None:
        count_all=count_all+1
        result_style=cls_build_style.build(cls_symbolDraw)
        if result_style is not None:
            if result_style.find("Brush")<0:
                result_style=result_style+" Brush (1, 16777215, 16777215)"
            print("Object Id:"+object_key+"  mi_style:"+result_style)
            values = (
            code, inner_code, identificate_code, object_key, name, type_geometry, extention_number, result_style)
            dbCls.insert(sql_insert, values)
        else:
            print("Object Id:" + object_key + "  mi_style : None")
        continue
dbCls.close(True)
print("All count:"+str(count_all))
print("PanDrawSymbol count:"+str(count_PanDrawSymbol))
print("End")