from PanoramaRsc.ui.add_tools.helper_db.dbRsc import DbRsc
from PanoramaRsc.ui.add_tools.rsc_tools.RSC.panSymbol import factorySymbol, PanEmpty, PanDrawSymbol
from PanoramaRsc.ui.add_tools.rsc_tools.RSC.rscPalettes import readPaletteFromDb

path_db=r"E:\Download\Panorama\terplan7\terrplan_v7.db"
path_out=r"E:\Download\Panorama\terplan7\temp\Layer_22"
path_out=r"E:\Download\Panorama\terplan7\temp\Common"
palette=readPaletteFromDb(path_db)
dbCls=DbRsc(path_db)

sql="select obj.code,obj.inner_code,obj.identify_code,obj.object_key,obj.name,obj.location_type,obj.extension_number,displayparams.type,displayparams.descript_bytes from (select * from objects where location_type=1 and layer_number>0  ) as obj ,displayparams where obj.inner_code=displayparams.inner_cod  order by obj.code"
bytes_symbol=None

records=dbCls.select(sql)
count_all=0
count_PanDrawSymbol=0
for row in records:
    code=row[0]
    inner_code=row[1]
    identificate_code=row[2]
    object_key=row[3]
    name=row[4]
    type_geometry=row[5]
    extention_number=row[6]
    type=row[7]
    bytes_pen_obj=row[8]
    print("Code object:"+str(code)+" Symbol_objId="+object_key)
    print(name)

    cls_symbolDraw=factorySymbol(bytes_pen_obj,0,type)
    if cls_symbolDraw is not None:
        count_all=count_all+1
        if isinstance(cls_symbolDraw,PanDrawSymbol):
            jkl=0
            count_PanDrawSymbol=count_PanDrawSymbol+1
            continue
        if isinstance(cls_symbolDraw,list):
            for item_m in cls_symbolDraw:
                for item in cls_symbolDraw.Symbols:
                    print(item)
        else:

            if isinstance(cls_symbolDraw,PanEmpty):
                print("Not visible")
                continue
            try:
                symbols=cls_symbolDraw.Symbols
            except:
                print(cls_symbolDraw)
                continue
            for item in cls_symbolDraw.Symbols:
                print(item)
print("All count:"+str(count_all))
print("PanDrawSymbol count:"+str(count_PanDrawSymbol))
print("End")