from osgeo import ogr
from osgeo.ogr import Layer


def copyLayer(layer_source:Layer,ds_dest,dest_name:str):
    source_srs=layer_source.GetSpatialRef()
    layer_dest = ds_dest.CreateLayer(dest_name, source_srs, geom_type=ogr.wkbUnknown)
    lyrDefn_source = layer_source.GetLayerDefn()
    for i in range(lyrDefn_source.GetFieldCount()):
        if lyrDefn_source.GetFieldDefn(i).name!='mi_style':
            layer_dest.CreateField(lyrDefn_source.GetFieldDefn(i))
        jkl=0
    for feature in layer_source:
        feature_out = ogr.Feature(layer_dest.GetLayerDefn())
        feature_out.SetGeometry(feature.GetGeometryRef())
        for i in range(layer_dest.GetLayerDefn().GetFieldCount()):
            ft_value=feature.GetField(i)
            feature_out.SetField(i,ft_value)
        layer_dest.CreateFeature(feature_out)
        feature_out=None
    layer_dest=None

    return
path_source_db=r"E:\Download\Panorama\terplan7\terplan_v7AdmBorder.gpkg"
path_out_gml=r"E:\Download\Panorama\terplan7\terplan_v7AdmBorder_ogr1.gml"
layer_name='AdmBorder'
driver_name_out="GML"
driver_out= ogr.GetDriverByName(driver_name_out)
ds_dource=ogr.Open(path_source_db)
layer_source=ds_dource.GetLayerByName(layer_name)
ds_out=driver_out.CreateDataSource(path_out_gml)
copyLayer(layer_source,ds_out,layer_name)
ds_out.FlushCache()
ds_out.Destroy()
ds_out=None
layer_source=None
ds_dource.FlushCache()
ds_dource.Destroy()
ds_dource=None
jkl=0
print("End")
