import axipy

from PanoramaRsc.ui.add_tools.helper_db.dbRsc import DbRsc
from PanoramaRsc.ui.add_tools.helper_db.db_add_helper import getPropertyVolumnsAxipy, factoryGenerateStyleFromClassId

path_db=r"E:\Download\Panorama\terplan7\terrplan_v7.db"
db=DbRsc(path_db)
inf_keys=getPropertyVolumnsAxipy(db,"AdmBorder")

cls_style=factoryGenerateStyleFromClassId(db,inf_keys)
name_table="AdmBorder"
tab=axipy.data_manager.find(name_table)
for ft in tab.items():
    style_info=cls_style.getStyle(ft[cls_style.NameBaseKey],ft[cls_style.NameSecondKey])
    ft.style=axipy.Style.from_mapinfo(style_info['style'])
    tab.update(ft)
print("end")
