import csv
import os
from pathlib import Path


def saveErrorJornal(path_out_file,error_jornal:dir):
    if Path(path_out_file).exists():
        os.remove(path_out_file)
    with open(path_out_file, 'w',encoding='utf-8', newline='') as file:
        writer = csv.writer(file, delimiter=';')

        # Write header
        writer.writerow(error_jornal.keys())
        # Write data
        rows = zip(*error_jornal.values())
        writer.writerows(rows)