import axipy
from axipy import Schema


def compatableStruct(schema:Schema,attributes):
    list_comp_filds=[]
    for att in attributes:
        try:
            field_att=schema[att.Name]
            list_comp_filds.append({"name":field_att.name,'dict_name':att.Name})
        except:
            pass
    return list_comp_filds

class ValidateStructTableGisTp:
    def __init__(self,laysers_dictionary=None):
        self.__layersInfo=laysers_dictionary
        self.__full_names=[]
        for layer_dict in self.__layersInfo:
            self.__full_names.append(layer_dict.Name)
    def tableIsGisTp(self,table:axipy.Table):
        if self.__layersInfo is None:
            return None,None
        if not table.is_spatial:
            return False,None
        dict_layer_infos=[layer for layer in self.__layersInfo if layer.Name==table.name]
        layer_dict=None
        list_alias=[]
        if len(dict_layer_infos)==1:
            layer_dict=dict_layer_infos[0]
            list_alias.append(layer_dict.Name)
        for layer_dict in self.__layersInfo:
            fields_name_compt=compatableStruct(table.schema,layer_dict.Attribute)
            if len(fields_name_compt)==len(layer_dict.Attribute):
                if not (layer_dict.Name in list_alias):
                    list_alias.append(layer_dict.Name)
                #return True,layer_dict.Name
        if len(list_alias)>0:
            return True,list_alias

        return False,self.__full_names

