import io
import zipfile
from io import BytesIO


def generate_zip(file):
    mem_zip = BytesIO()

    with zipfile.ZipFile(mem_zip, mode="w",compression=zipfile.ZIP_DEFLATED) as zf:
        zf.writestr(file[0], file[1])

    return mem_zip.getvalue()
def decompressZipToFile(bytes,path_folder):
    name_file=None
    with zipfile.ZipFile(io.BytesIO(bytes)) as archive:
        for file in archive.namelist():
            name_file=file
            archive.extract(file, path_folder)
    return name_file