import axipy
from PySide2.QtCore import QModelIndex
from PySide2.QtWidgets import QDockWidget, QListView


def findListViewDataSource(base_widget,title_widget):
    widget_listview=base_widget.findChild(QListView)
    if widget_listview is None:
        return None
    return widget_listview


def existByTitle(main_windows,title_widget):
    listWidgets = main_windows.findChildren(QDockWidget)
    for q_doc in listWidgets:
        if q_doc.windowTitle()==title_widget:
            return q_doc

    return None
name_remove='SubjectRF'
q_widget=existByTitle(axipy.mainwindow.qt_object(),'Открытые данные')
w_list_view=findListViewDataSource(q_widget,'Открытые данные')
if w_list_view is not None:
    model=w_list_view.model()
    count_row=model.rowCount()
    id_find=None
    for i in range(count_row):
        dat= model.index(i,0).data()
        if dat==name_remove:
            id_find=i
            break
    if id_find is not None:
        index_sel=model.index(i,0)
        w_list_view.setCurrentIndex(index_sel)
        #isVal=model.removeRows(id_find,1)

        '''
        parent_x=QModelIndex()
        isVal=model.beginRemoveRows(parent_x,id_find,1)
        item = parent_x.internalPointer()
        item.removeRows(id_find, 1)
        #del model._data[id_find:id_find + 1]

        isVal =        model.endRemoveRows()
        '''
        indexes =  w_list_view.selectedIndexes()
        if indexes:
            index = indexes[0]
            #model.removeRow(index.row())
            isVal = model.beginRemoveRows(index, id_find, 1)
            item = index.internalPointer()
            item.removeRows(id_find, 1)
            # del model._data[id_find:id_find + 1]

            isVal = model.endRemoveRows()

        jkl=0



jkl=0