CREATE TABLE objects
(
  code INTEGER,
  inner_code INTEGER,
  identify_code INTEGER,
  object_key TEXT NOT NULL,
  name TEXT,
  location_type INTEGER,
  layer_number INTEGER,
  is_scalable INTEGER,
  level_min INTEGER,
  lavel_max INTEGER,
  extended_location_type INTEGER,
  direction_digitization INTEGER,
  display_with_attributes INTEGER,
  extension_number INTEGER,
  linked_labels_number INTEGER,
  can_compress INTEGER,
  max_zoom REAL,
  min_zoom NONE,
  include_border INTEGER,
  CONSTRAINT PK_objects PRIMARY KEY (object_key),
  CONSTRAINT object_key UNIQUE (object_key)
)
;
