import math
from math import sqrt

from PySide2.QtGui import QImage, QPainter, QPen, Qt

#from MyTask.Panorama.RSC.image_cls.imageMask32.helper import imageToBytes, imageToByteArray
from PanoramaRsc.ui.add_tools.rsc_tools.RSC.image_cls.imageMask32.helper import imageToBytes, imageToByteArray


def drawBrushFillHatch(step,angle,thickness):
    w=h=step
    qimage = QImage(w,h, QImage.Format_Mono)
    painter = QPainter(qimage)

    painter.fillRect(0, 0, w, h, Qt.white)
    wh=sqrt(w*w+h*h)
    angl_rad=math.radians(angle)
    y1= int(math.sin(angl_rad)*wh)
    y1=-y1
    x1=int(math.cos(angl_rad)*wh)
    x0=-x1
    y0=-y1
    pen=QPen(Qt.black)
    pen.setWidth(thickness)
    painter.setPen(pen)
    #painter.translate(0, h_g / 2)
    if x1>0:
        painter.translate(w/2, h/2-1)
    else:
        painter.translate(w / 2, h / 2 )

    painter.drawLine(x1,y1, x0,y0)

    painter.end()
    #data_image=imageToByteArray(qimage)
    #out_image=QImage()
    #out_image.loadFromData(data_image)
    return qimage
